#
# rbalbum config - file
# autocreated by rbalbum --dump-config
USERRC = {

    # flags
    :flags => {
        :verbose => false,
        :use_thumbnails => true,
        :create_index => true,
        :create_pages => true,
        :create_thumbnails => true,
        :scale_images => false
    },

    # options for the image-index
    :index_opts => {
        :title => 'rbalbum',
        :heading => 'rbalbum', 
        :csslink => 'rbalbum.css',
        :cssid => 'rbalbum',
        :indexfile => 'index.html',
        :entries_per_row => 5,
        :container_tags => { :open => '<table>', :close => '</table>' },
        :row_tags => { :open => '<tr>', :close => '</tr>' },
        :col_tags => { :open => '<td>', :close => '</td>' }
    },
    
    # options for images
    :image_opts => {
        :pattern => '*.{jpg,JPG,png,PNG}',
    },

    # options for scaling
    :scale_opts => {
        :directory => 'invalid directory',
        :max_width => 500,
        :max_height => 500,
        :max_qual => 95,
        :min_qual => 50,
        :max_size => 50000
    },
    
    # options for thumbnails
    :thumb_opts => {
        :prefix => 'TN_',
        :width => 100,
        :height => 80
    },

    # options for imagepages
    :imagepage_opts => {
        :title => 'rbalbum',
        :csslink => 'rbalbum.css',
        :cssid => 'rbalbum',
        :cssnavid => 'rbalbum_nav',
        
        # labeling of the nav-elements on each imagepage
        :prev => 'prev',
        :next => 'next',
        :toc =>  'toc'

    },

    # html - atoms
    :atoms => { }
}

USERRC[:atoms][:header] = <<EOF
<html>
<head>
<title>@TITLE@</title>
<meta name="generator" content="rbalbum - http://darkshed.net/projects">
<link rel="stylesheet" type="text/css" href="@CSSLINK@">
</head>
<body>
EOF

USERRC[:atoms][:footer] = <<EOF
</body>
</html>
EOF

USERRC[:atoms][:index_opening] = <<EOF
<div id="@CSSID@">
<center>
<h1>@HEADING@</h1>
EOF

USERRC[:atoms][:index_closing] = <<EOF
</center>
</div>
EOF

USERRC[:atoms][:imagepage_body] = <<EOF
<div id='@CSSID@'>
<center>
<h1>@IMAGE@ - @INDEX@/@COUNT@</h1>
<img src='@IMAGE@' />
    <div id='@CSSNAV@'>
        <center>
            <table>
                <tr>
                  <td><div class='prev'><a href='@LINKPREV@'>@TEXTPREV@</a></div></td>
                  <td><div class='toc'><a href='@LINKTOC@'>@TEXTTOC@</a></div></td>
                  <td><div class='next'><a href='@LINKNEXT@'>@TEXTNEXT@</a></div></td>
                </tr>
            </table>
        </center>
    </div>
</center>
</div>
EOF
